Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.whitespace
Class WhitespaceAroundCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.whitespace.WhitespaceAroundCheck

All Implemented Interfaces:
  Configurable, Contextualizable

public class WhitespaceAroundCheck
extends Check

Checks that a token is surrounded by whitespace.

By default the check will check the following operators: `ASSERT`, `ASSIGN`, `BAND`, `BAND_ASSIGN`, `BOR`, `BOR_ASSIGN`, `BSR`, `BSR_ASSIGN`, `BXOR`, `BXOR_ASSIGN`, `COLON`, `DIV`, `DIV_ASSIGN`, `EQUAL`, `GE`, `GT`, `LAND`, `LCURLY`, `LE`, `LITERAL_CATCH`, `LITERAL_DO`, `LITERAL_ELSE`, `LITERAL_FINALLY`, `LITERAL_FOR`, `LITERAL_IF`, `LITERAL_RETURN`, `LITERAL_SYNCHRONIZED`, `LITERAL_TRY`, `LITERAL_WHILE`, `LOR`, `LT`, `MINUS`, `MINUS_ASSIGN`, `MOD`, `MOD_ASSIGN`, `NOT_EQUAL`, `PLUS`, `PLUS_ASSIGN`, `QUESTION`, `RCURLY`, `SL`, `SLIST`, `SL_ASSIGN`, `SR`, `SR_ASSIGN`, `STAR`, `STAR_ASSIGN`.

An example of how to configure the check is:

     <module name="WhitespaceAround"/>

An example of how to configure the check for whitespace only around assignment operators is:

     <module name="WhitespaceAround">
         <property name="tokens"
                   value="ASSIGN,DIV_ASSIGN,PLUS_ASSIGN,MINUS_ASSIGN,STAR_ASSIGN,MOD_ASSIGN,SR_ASSIGN,BSR_ASSIGN,SL_ASSIGN,BXOR_ASSIGN,BOR_ASSIGN,BAND_ASSIGN"/>
     </module>

Version:
  1.0
Author:
  Oliver Burn

Constructor Summary
`WhitespaceAroundCheck()`

Method Summary
`int[]` | `getDefaultTokens()` Returns the default token a check is interested in.
`void` | `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhitespaceAroundCheck

    public WhitespaceAroundCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `Check`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process
  See Also:
    `Check`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD